Subject: bug#22198: New error message in the output buffer: Output file removed.

From: Mosè Giordano <[email-masked]>
Date: Fri, 18 Dec 2015 01:19:49 +0100

Hi,

while trying to reproduce the problem reported here
http://tex.stackexchange.com/q/283656/31416 I noticed that compilation
with xelatex of this simpler document

--8<---------------cut here---------------start------------->8---
\documentclass{moderncv}
\moderncvtheme{classic}
\moderncvicons{awesome}
\usepackage{fontawesome}
\firstname{Maria}
\familyname{Rossi}
\mobile{+1\,234\,567\,89\,00}
\begin{document}
\makecvtitle
\end{document}

%%% Local Variables:
%%% mode: latex
%%% TeX-master: t
%%% TeX-engine: xetex
%%% End:
--8<---------------cut here---------------end--------------->8---

fails (at least on my system), but AUCTeX doesn't realize the
compilation actually failed.  The following messages are shown in the
output buffer:

--8<---------------cut here---------------start------------->8---
xdvipdfmx:fatal: pdf_ref_obj(): passed invalid object.

Output file removed.
(see the transcript file for additional information)
Error 256 (driver return code) generating output;
file foo.pdf may not be valid.
--8<---------------cut here---------------end--------------->8---

The full log file is attached for reference.

Probably this should be accounted for by `TeX-parse-error', but I'm
not sure which line should be matched by the regexp.  In addition, I'd
like the branch simplify-TeX-parse-error to be improved and merged to
master first.  I'm filing this request as a bug report so it won't be
lost in the archive.

Bye,
Mosè